import java.awt.Color;
import java.util.*;

public class Client {
    public static void main(String[] args) {
        ColorGraph g = new MultiGraph();
        g.add(exponential(-5, 5, 1));
        g.add(exponential(-5, 5, 2), Color.BLUE);
        g.add(new Point(0, 5));
        g.save("test.png");
    }

    public static Line exponential(int start, int end, int k) {
        Line l = new Line();
        for (int x = start; x <= end; x++) {
            l.addPoint(new Point(x, (int)Math.pow(x, k)));
        }
        return l;
    }
}
